Bug 519672 - New version of dvipdfmx is needed for Japanese PDF creation
Summary: New version of dvipdfmx is needed for Japanese PDF creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dvipdfmx
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 11:29 UTC by Motchy
Modified: 2009-09-29 14:26 UTC (History)
3 users (show)

Fixed In Version: 0-0.30.20090708cvs.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 14:26:56 UTC


Attachments (Terms of Use)

Description Motchy 2009-08-27 11:29:18 UTC
Description of problem:

The latest stable version of dvipdfmx can't handle some japanese dvi files correctly.
The bug has been fixed in latest uprestreams on 2009-05-06 (http://project.ktug.or.kr/dvipdfmx/ChangeLog).

For the same problem in Ubuntu was fixed already.
https://bugs.launchpad.net/ubuntu/+source/dvipdfmx/+bug/372217

Newer version is needed.

Version-Release number of selected component (if applicable):
dvipdfmx-0-0.27.20090115cvs.fc11

How reproducible:
100% for some dvi files including japanese texts.

Steps to Reproduce:
Run dvipdfmx with a japanese.dvi file


Actual results:
$ dvipdfmx japanese.dvi
japanese.dvi -> japanese.pdf
[1*** stack smashing detected ***: dvipdfmx terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0xa46bd8]
/lib/libc.so.6(__fortify_fail+0x0)[0xa46b90]
dvipdfmx[0x805b685]
dvipdfmx[0x805abfd]
dvipdfmx[0x807c778]
dvipdfmx[0x8071ecb]
dvipdfmx[0x8063c80]
dvipdfmx[0x80b04a6]
dvipdfmx[0x80b0913]
dvipdfmx[0x8063de3]
dvipdfmx[0x806405b]
dvipdfmx[0x8064b23]
dvipdfmx[0x8066aff]
/lib/libc.so.6(__libc_start_main+0xe6)[0x965a66]
dvipdfmx[0x8049c21]
======= Memory map: ========
00259000-0027f000 r-xp 00000000 fd:00 5565345 /usr/lib/libpng12.so.0.37.0
0027f000-00280000 rw-p 00025000 fd:00 5565345 /usr/lib/libpng12.so.0.37.0
00415000-00416000 r-xp 00415000 00:00 0 [vdso]
006d4000-006d6000 r-xp 00000000 fd:00 5563446 /usr/lib/libpaper.so.1.1.2
006d6000-006d7000 rw-p 00001000 fd:00 5563446 /usr/lib/libpaper.so.1.1.2
00927000-00947000 r-xp 00000000 fd:00 2334876 /lib/ld-2.10.1.so
00947000-00948000 r--p 0001f000 fd:00 2334876 /lib/ld-2.10.1.so
00948000-00949000 rw-p 00020000 fd:00 2334876 /lib/ld-2.10.1.so
0094f000-00aba000 r-xp 00000000 fd:00 2334878 /lib/libc-2.10.1.so
00aba000-00abb000 ---p 0016b000 fd:00 2334878 /lib/libc-2.10.1.so
00abb000-00abd000 r--p 0016b000 fd:00 2334878 /lib/libc-2.10.1.so
00abd000-00abe000 rw-p 0016d000 fd:00 2334878 /lib/libc-2.10.1.so
00abe000-00ac1000 rw-p 00abe000 00:00 0
00ac3000-00ae9000 r-xp 00000000 fd:00 2334927 /lib/libm-2.10.1.so
00ae9000-00aea000 r--p 00025000 fd:00 2334927 /lib/libm-2.10.1.so
00aea000-00aeb000 rw-p 00026000 fd:00 2334927 /lib/libm-2.10.1.so
00af4000-00b06000 r-xp 00000000 fd:00 5568533 /usr/lib/libkpathsea.so.4.0.0
00b06000-00b07000 rw-p 00012000 fd:00 5568533 /usr/lib/libkpathsea.so.4.0.0
00b07000-00b09000 rw-p 00b07000 00:00 0
00b11000-00b23000 r-xp 00000000 fd:00 2334930 /lib/libz.so.1.2.3
00b23000-00b24000 rw-p 00011000 fd:00 2334930 /lib/libz.so.1.2.3
0692e000-06958000 r-xp 00000000 fd:00 2334987 /lib/libgcc_s-4.4.0-20090506.so.1
06958000-06959000 rw-p 00029000 fd:00 2334987 /lib/libgcc_s-4.4.0-20090506.so.1
08047000-080d0000 r-xp 00000000 fd:00 5565142 /usr/bin/dvipdfmx
080d0000-080d5000 rw-p 00089000 fd:00 5565142 /usr/bin/dvipdfmx
080d5000-080f3000 rw-p 080d5000 00:00 0
08c8e000-08fcc000 rw-p 08c8e000 00:00 0 [heap]
b8066000-b8087000 rw-p b8066000 00:00 0
b80c8000-b80cb000 rw-p b80c8000 00:00 0
b80df000-b80e5000 rw-p b80df000 00:00 0
bf9d0000-bf9e5000 rw-p bffeb000 00:00 0 [stack]
Aborted.

Expected results:
Generates a pdf with no errors.


Additional info:

Comment 1 Fedora Update System 2009-09-15 12:25:06 UTC
dvipdfmx-0-0.29.20090708cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dvipdfmx-0-0.29.20090708cvs.fc11

Comment 2 Fedora Update System 2009-09-15 13:41:18 UTC
dvipdfmx-0-0.30.20090708cvs.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dvipdfmx-0-0.30.20090708cvs.fc11

Comment 3 Fedora Update System 2009-09-16 20:33:51 UTC
dvipdfmx-0-0.30.20090708cvs.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dvipdfmx'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9672

Comment 4 Jonathan Underwood 2009-09-24 07:07:28 UTC
Any feedback on this updated package - does it resolve the problem?

Comment 5 Motchy 2009-09-24 07:12:05 UTC
Hi,

Under my environment this updated package works well.
Thank you.

Comment 6 Fedora Update System 2009-09-29 14:26:50 UTC
dvipdfmx-0-0.30.20090708cvs.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.